/* ==========================================================================
#Mobile header styles
========================================================================== */
.mkdf-mobile-header {
	display: none;
	position: relative;
	z-index: 101; /* one more thatn the content */

	.mkdf-mobile-side-area {
		background-color: #fff;
		background-image: url("../../../../../assets/img/background-pattern.jpg");
		background-size: cover;
		height: 100%;
		min-height: 100%;
		overflow: hidden;
		padding: 20% 70px;
		box-sizing: border-box;
		position: fixed;
		top: 0;
		right: 0;
		width: 420px;
		z-index: 9999;
		-webkit-backface-visibility: hidden;
		@include mkdfTransform(translate3d(100%, 0,0));
		@include mkdfTransition(transform .7s cubic-bezier(0.25,1,.2,1));

        @media only screen and ( max-height: 600px ){
            padding: 12% 50px;
        }

		.mkdf-social-icon-widget-holder {
			.mkdf-social-icon-widget {
				color: #fff;
				font-size: 15px;
			}
		}

		.widget_text {
			margin-bottom: 5px;
		}

		&.opened{
			@include mkdfTransform(translate3d(0,0,0));

			.mkdf-mobile-nav,
			.mkdf-mobile-menu-bottom {
				@include mkdfTransform(translateX(0px));
				opacity: 1;
			}
		}

		.mkdf-mobile-side-area-inner{
			height: 100%;
			min-height: 100%;
			overflow: hidden;

		}

		.mkdf-close-mobile-side-area-holder {
			display: block;
			position: absolute;
			top: 23px;
			right: 24px;
			z-index: 1000;
			cursor: pointer;

			span {
				color: #92919c;
				display: inline-block;
				font-size: 24px;
				height: 24px;
				width: 24px;
				line-height: 24px;
				position: relative;
				text-align: center;
			}
		}

		.mkdf-mobile-menu-bottom {
			color: #fff;
			.textwidget {
				color: #a5a5a5;
				font-size: 12px;
				letter-spacing: 0.1em;
			}
		}
	}

	/* #General mobile header styles
    ========================================================================== */
	.mkdf-mobile-header-inner {
		position: relative;
		height: 100px;
		background-color: #fff;
		box-sizing: border-box;

		.mkdf-mobile-header-holder {
			position: relative;
			z-index: 2;
			height: 100%;
		}
	}

	.mkdf-grid {
		height: 100%;
	}

	.mkdf-vertical-align-containers {
		padding: 0;
	}

	/* #End of general mobile header styles
   ========================================================================== */

	/* #Mobile logo styles
    ========================================================================== */
	.mkdf-mobile-logo-wrapper a {
		display: block;
	}

	.mkdf-mobile-logo-wrapper img {
		height: 100%;
		width: auto;
	}
	/* #End of mobile logo styles
    ========================================================================== */

	/* #Mobile menu opener styles
    ========================================================================== */
	.mkdf-mobile-menu-opener {
		float: left;
		position: relative;
		z-index: 2;
		height: 100%;

		a {
			display: table;
			height: 100%;
			padding-right: 10px;
			font-size: 22px;

			.mkdf-mo-lines {
				position: relative;
				display: inline-block;
				vertical-align: middle;
				width: 31px;
				height: 17px;

				.mkdf-mo-line {
					position: absolute;
					left: 0;
					height: 1px;
					width: 100%;
					background-color: $default-heading-color;
					-webkit-transition: -webkit-transform .3s ease, top .2s ease-out, background-color .2s ease-out;
					-moz-transition: -moz-transform .3s ease, top .2s ease-out, background-color .2s ease-out;
					transition: transform .3s ease, top .2s ease-out, background-color .2s ease-out;

					&:before {
						position: absolute;
						top: -1px;
						left: 0;
						display: block;
						width: 100%;
						height: 1px;
						background-color: inherit;
						opacity: 0.5;
						content: '';
					}

					&.mkdf-line-1 {
						top: 0;
					}

					&.mkdf-line-2 {
						top: calc(50% - 1px);
						top: -moz-calc(50%); //moz pixel move fix
						outline:1px solid transparent; //moz pixelation fix
					}

					&.mkdf-line-3 {
						top: calc(100% - 1px);
					}
				}
			}

			.mkdf-mobile-menu-text {
				position: relative;
				top: 0;
				margin: 0;
				padding-left: 3px;
			}

			&:hover {

				.mkdf-mo-lines .mkdf-mo-line {

					&.mkdf-line-1,
					&.mkdf-line-3 {
						top:50%;
					}

					&.mkdf-line-2 {
						@include mkdfTransform(rotate(90deg));
					}
				}
			}
		}

		.mkdf-mo-icon-holder {
			display: table-cell;
			vertical-align: middle;
			line-height: 1em;

			> * {
				display: inline-block;
				vertical-align: middle;
			}
		}
	}
	/* #End of mobile menu opener styles
    ========================================================================== */
}

/* ==========================================================================
#End of mobile header styles
========================================================================== */

/* ==========================================================================
#Sticky mobile header styles
========================================================================== */
.mkdf-sticky-up-mobile-header {
	.mkdf-animate-mobile-header {
		.mkdf-mobile-header-inner {
			width: 100%;

			//Added left and right transition values because of sidearea transitions on open/close
			-webkit-transition: -webkit-transform 0.4s ease-in-out, left 0.2s ease, right 0.2s ease;
			-moz-transition: -moz-transform 0.4s ease-in-out, left 0.2s ease, right 0.2s ease;
			-o-transition: -o-transform 0.4s ease-in-out, left 0.2s ease, right 0.2s ease;
			transition: transform 0.4s ease-in-out, left 0.2s ease, right 0.2s ease;
			@include mkdfTransform(translateY(-100%));
		}
	}

	.mobile-header-appear {
		.mkdf-mobile-header-inner {
			top: 0;
			left: 0;
			width: 100%;
			position: fixed;
			@include mkdfTransform(translateY(0));
		}
	}
}
/* ==========================================================================
#End of sticky mobile header styles
========================================================================== */

.mkdf-mobile-header {

	.mkdf-mobile-nav {

		ul {
			padding: 0;
			margin: 0;
			list-style-type: none;

			li {
				position: relative;
				margin: 0;
				padding: 0;
				font-size: 13px;
				text-transform: uppercase;

				&.current-menu-item > a,
				&.current-menu-ancestor > a {
					color: $first-main-color;
				}

				&.mkdf-opened {
				}

				&.mkdf-opened > a {
				}

				a, h6 { //h6 is here because of no link option in navigation
					position: relative;
					display: inline-block;
					padding: 12px 0;
					margin: 0;
                    color: #b9b9b9;
					font-size: 23px;
					font-weight: 400;

					&:hover {
						color: $first-main-color;
					}
				}
			}

			//dropdowns
			ul {
				display: none;
				padding: 10px 0;

				li {

					&.current-menu-ancestor > a,
					&.current-menu-item > a {
						color: $first-main-color;
					}

					.mobile_arrow {
						top: 1px;
						color: #b9b9b9;
					}

					&.mkdf-opened > a {
					}

					a, h6 {
						font-size: 16px;
						line-height: 25px;
						text-transform: initial;
						padding: 3px 0;
					}
				}

				ul {
					li {
						a {
							font-size: 15px;
						}
					}
				}
			}
		}

		.mkdf-grid > ul {

			> li {

				> a,
				> h6 {
					font-size: 22px;
                    font-weight: 600;
                    color: #353535;

					&:hover {
						color: $first-main-color;
					}
				}

				&.mkdf-active-item > a {
					opacity: .8;
					color: $first-main-color;
				}

				&.mkdf-active-item > .mobile_arrow > .mkdf-sub-arrow {
					@include mkdfTransform(rotate(90deg));
					color: $first-main-color;
				}
			}
		}

		li.current-menu-ancestor > .mobile_arrow,
		li.current-menu-item .mobile_arrow {
			color: $first-main-color;
		}

		.mobile_arrow {
			$mobile-arrow-height: 30px;

			position: relative;
			right: 0;
			top: -2px;
			width: 50px;
			height: $mobile-arrow-height;
			line-height: $mobile-arrow-height;
			font-size: 14px;
			text-align: right;
            color: #353535;
			padding-left: 3px;

			&:hover {
				cursor: pointer;
			}

			.mkdf-sub-arrow {
				@include mkdfTransition(transform 0.2s ease-in-out);
				display: inline-block;
			}

			//@TODO remove this line of code when new headers are enabled
			.arrow_triangle-down {
				display: none; //temporarily
			}
		}

		li.mkdf-opened > .mobile_arrow > .mkdf-sub-arrow {
			@include mkdfTransform(rotate(90deg));
		}

		& > ul > li:last-child > a,
		& > .mkdf-grid > ul > li:last-child > a {
			border-bottom: none;
		}
	}
}